<script>
export default {
  name: 'AuditPickerLabel',
  functional: true,
  render: (h, ctx) => {
    const vnodes = ctx.props.vnodes
    if (
      Object.prototype.hasOwnProperty.call(vnodes, 'label') &&
      Object.prototype.hasOwnProperty.call(vnodes, 'value')
    ) {
      return <span title={ctx.props.vnodes.value}>{ctx.props.vnodes.label}</span>
    } else {
      return <span>{ctx.props.vnodes}</span>
    }
  },
}
</script>
